using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllMapUserProject
    {
        private DaoAchieve.MapUserProjectDaoAchieve _CurrentDao = null;
        internal DaoAchieve.MapUserProjectDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.MapUserProjectDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllMapUserProject()
        {
            
        }
    
        #region Service Bll
        public int Save(MapUserProject entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<MapUserProject> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(MapUserProject entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<MapUserProject> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<MapUserProject> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public MapUserProject Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaMapUserProject mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<MapUserProject> Fetch(PushPlatform.Data.Criteria.CriteriaMapUserProject mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<MapUserProject>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

